SynapSynapDocs
Hub REST API

Keys

The Keys operations of the Hub REST API (1 operation).

For BuildersOpen-source podSynap CloudGenerated from Synap-core/backend@c31e261ab (main)
POST
/keys/rotate-cli

Authorization

bearerAuth
headerAuthorizationBearer <API key>

Pod API key (Bearer) issued via /api/hub/setup/agent or pod admin tooling. Browser/web clients may use the X-Session-Token header instead. See GET /api/hub/auth/status to introspect the calling key.

Response Body

New key issued

application/json
  1. response
apiKey*string
keyId*string
scopes*array<string>
Example Request
curl -X POST 'https://pod.example.com/api/hub/keys/rotate-cli'
Example Response
{  "apiKey": "string",  "keyId": "string",  "scopes": [    "string"  ]}